import throw_framework_error from "../../lib/throw_framework_error.js";
import has_required_options from "./has_required_options.js";

const validate_component_options = (component_options = {}) => {
	const missing_required_options = has_required_options(component_options);

	if (missing_required_options) {
		throw_framework_error(
			'joystick.validate_component_options',
			new Error(`Component options must include:\n\n${required_options.join("\n")}`)
		);
	}

	const invalid_option_values = validate_option_values(component_options);

	if (invalid_option_values?.length > 0) {
		throw_framework_error(
			'joystick.validate_component_options',
			new Error(`Invalid component option values:\n\n${invalid_option_values.join("\n")}`)
		);
	}
};

export default validate_component_options;
